﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadWindowAsContainer.aspx.cs"
    Inherits="RadWindowAsContainer" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:Button ID="Button1" runat="server" Text="Show RadWindow" OnClick="Button1_Click" />
    <telerik:RadWindow ID="RadWindow1" AutoSize="true" runat="server">
        <ContentTemplate>
            <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" DataSourceID="SqlDataSource1"
                GridLines="None">
                <MasterTableView AutoGenerateColumns="False" DataKeyNames="ProductID" DataSourceID="SqlDataSource1">
                    <RowIndicatorColumn>
                        <HeaderStyle Width="20px"></HeaderStyle>
                    </RowIndicatorColumn>
                    <ExpandCollapseColumn>
                        <HeaderStyle Width="20px"></HeaderStyle>
                    </ExpandCollapseColumn>
                    <Columns>
                        <telerik:GridBoundColumn DataField="ProductID" DataType="System.Int32" DefaultInsertValue=""
                            HeaderText="ProductID" ReadOnly="True" SortExpression="ProductID" UniqueName="ProductID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ProductName" DefaultInsertValue="" HeaderText="ProductName"
                            SortExpression="ProductName" UniqueName="ProductName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="SupplierID" DataType="System.Int32" DefaultInsertValue=""
                            HeaderText="SupplierID" SortExpression="SupplierID" UniqueName="SupplierID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="CategoryID" DataType="System.Int32" DefaultInsertValue=""
                            HeaderText="CategoryID" SortExpression="CategoryID" UniqueName="CategoryID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="QuantityPerUnit" DefaultInsertValue="" HeaderText="QuantityPerUnit"
                            SortExpression="QuantityPerUnit" UniqueName="QuantityPerUnit">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UnitPrice" DataType="System.Decimal" DefaultInsertValue=""
                            HeaderText="UnitPrice" SortExpression="UnitPrice" UniqueName="UnitPrice">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UnitsInStock" DataType="System.Int16" DefaultInsertValue=""
                            HeaderText="UnitsInStock" SortExpression="UnitsInStock" UniqueName="UnitsInStock">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="UnitsOnOrder" DataType="System.Int16" DefaultInsertValue=""
                            HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder" UniqueName="UnitsOnOrder">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ReorderLevel" DataType="System.Int16" DefaultInsertValue=""
                            HeaderText="ReorderLevel" SortExpression="ReorderLevel" UniqueName="ReorderLevel">
                        </telerik:GridBoundColumn>
                        <telerik:GridCheckBoxColumn DataField="Discontinued" DataType="System.Boolean" DefaultInsertValue=""
                            HeaderText="Discontinued" SortExpression="Discontinued" UniqueName="Discontinued">
                        </telerik:GridCheckBoxColumn>
                        <telerik:GridBoundColumn DataField="CategoryName" DefaultInsertValue="" HeaderText="CategoryName"
                            SortExpression="CategoryName" UniqueName="CategoryName">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
        </ContentTemplate>
    </telerik:RadWindow>
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
        SelectCommand="SELECT TOP 10 * FROM [Alphabetical list of products]"></asp:SqlDataSource>
    </form>
</body>
</html>
